#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/aspnet:9.0 AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:9.0 AS build
WORKDIR /src
COPY ["nuget.config", "."]
COPY ["TestApp1/TestApp1.csproj", "TestApp1/"]
RUN dotnet restore "TestApp1/TestApp1.csproj"
COPY . .
WORKDIR "/src/TestApp1"
RUN dotnet build "TestApp1.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "TestApp1.csproj" -c Release -o /app/publish /p:UseAppHost=false

FROM base AS final
ENV ASPNETCORE_HTTP_PORTS=80
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "eSuite.API.dll"]